# norootforbuild



Name:		gyachi
Version:	1.2.11
Release:	3.3

Summary:	A Yahoo! chat client with Webcam and voice support
Group:		Productivity/Networking/Other
License:	GPL-2.0
URL:		http://gyachi.sourceforge.net

Source0:	%{name}-%{version}.tar.gz

Patch0:		%{name}-docdir.patch
Patch1:		gyachi-buildtimestamp.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: ImageMagick-devel
BuildRequires: alsa-devel
BuildRequires: automake
BuildRequires: gtk2-devel
BuildRequires: gtkspell-devel
BuildRequires: libexpat-devel
BuildRequires: libgpgme-devel
BuildRequires: libjasper-devel
BuildRequires: libmcrypt-devel
BuildRequires: libnotify-devel
BuildRequires: libopenssl-devel
BuildRequires: libpulse-devel
BuildRequires: libtool
BuildRequires: libv4l-devel
BuildRequires: libwebkitgtk-devel
BuildRequires: update-desktop-files


%description
GYachI is a Linux client for Yahoo! Messenger protocol,
written using GTK+ GUI toolkit. This package includes both
the external voice chat program, GYVoice, and the
external webcam program, GyachI-Webcam.
In addition, this package includes GyachI-Broadcaster for
sending webcam streams.

%package plugin-alsa
Summary:	Alsa sound driver
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-alsa
Alsa sound driver for gyachi.

%package plugin-blowfish
Summary:	Blowfish plugin
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-blowfish
Blowfish plugin for gyachi.

%package plugin-gpgme
Summary:	Gpgme plugin
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-gpgme
Gpgme plugin for gyachi.

%package plugin-gtkspell
Summary:	GTKspell plugin
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-gtkspell
GTKspell plugin for gyachi.

%package plugin-libnotify
Summary:	Libnotify plugin
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-libnotify
Libnotify plugin for gyachi.

%package plugin-mcrypt
Summary:	Mcrypt plugin
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-mcrypt
Mcrypt plugin for gyachi.

%package plugin-pulseaudio
Summary:	PulseAudio sound driver
Group:		Productivity/Networking/Other
Requires:	%{name} = %{version}-%{release}

%description plugin-pulseaudio
PulseAudio sound driver for gyachi.





%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1


%build

export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
./autogen.sh
%configure --disable-wine --disable-rpath --enable-v4l2 --disable-gtktest
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__cp %{buildroot}/%{_datadir}/%{name}/themes/gyachi-classic/gyach-icon_48.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%__rm %{buildroot}%{_libdir}/*.la
%__rm %{buildroot}%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%suse_update_desktop_file %{name} Network InstantMessaging


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/gyachi
%{_libexecdir}/gyachi-upload
%{_libexecdir}/gyachi-webcam
%{_libdir}/libgyachi.so
%{_datadir}/applications/gyachi.desktop
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%dir %{_datadir}/gyachi
%dir %{_datadir}/gyachi/audibles
%{_datadir}/gyachi/audibles/*
%dir %{_datadir}/gyachi/smileys
%{_datadir}/gyachi/smileys/*.gif
%dir %{_datadir}/gyachi/sounds
%{_datadir}/gyachi/sounds/*.raw
%dir %{_datadir}/gyachi/themes
%dir %{_datadir}/gyachi/themes/YMlike
%{_datadir}/gyachi/themes/YMlike/*
%dir %{_datadir}/gyachi/themes/gyachi-classic
%{_datadir}/gyachi/themes/gyachi-classic/*
%dir %{_datadir}/gyachi/themes/pidgy
%{_datadir}/gyachi/themes/pidgy/*
%dir %{_datadir}/gyachi/themes/recre8
%{_datadir}/gyachi/themes/recre8/*
%dir %{_datadir}/gyachi/tuxvironments
%{_datadir}/gyachi/tuxvironments/*
%{_datadir}/gyachi/voice_servers
%{_datadir}/pixmaps/gyachi.png
%dir %{_libdir}/gyachi
%dir %{_libdir}/gyachi/plugins

%files plugin-alsa
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachialsa.so

%files plugin-blowfish
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachiblowfish.so

%files plugin-gpgme
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachigpgme.so

%files plugin-gtkspell
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachigtkspell.so

%files plugin-libnotify
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachilibnotify.so

%files plugin-mcrypt
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachimcrypt.so

%files plugin-pulseaudio
%defattr(-,root,root,-)
%{_libdir}/gyachi/plugins/libgyachipulseaudio.so

%changelog
* Fri Jan  9 2015 olaf@aepfle.de
- Remove __DATE__/__TIME__ usage
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build with 12.2 (add automake libtool buildrequires)
* Thu Sep  8 2011 detlef@links2linux.de
- new upstream release <1.2.11>
  * A bit of freshening here.
  * Yahoo page now supports either gtkhtml2 or webkit.
  * As gtkhtml2 is depricated, and some distros are dropping
    gtkhtml2, use webkitgtk instead. NOTE: while webkit is
    nice, and fancy, and more powerful than gtkhtml, do not
    confuse it for a browser replacement. The usage in GyachI
    is intended purely for the "about", "help", and a few other
    features. It is a KNOWN PROBLEM that using webkit for browsing
  * WILL* occassionally freeze up GyachI.
  * Support added for newer libnotify
  * Captcha support fixed.
* Sun Sep  5 2010 detlef@links2linux.de
- new upstream release <1.2.10>
  * Fix incorrect g_free of GdkPixmap in shade_pixmap_gdk(). Should
    be g_object_unref(). BZ 598459 603545
  * Correct a race condition in gyachi-uploader shutdown code, so as
    to not (possibly) seg fault when shutting down gyachi-uploader.
    BZ 525878 552443 573163 586276 597085
  * Fix gyachi crash if the PM window is closed during a file transfer
    BZ 615624
* Sat Jul  3 2010 detlef@links2linux.de
- new upstream release <1.2.7>
* Mon Nov 23 2009 detlef@links2linux.de
- initial build
